🚀 New: Theme Control Plane API — build, customize, and deploy themes programmatically. Learn more →
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhook",
"events": [
"order:paid",
"payment:completed"
]
}
'{
"data": {
"id": "11111111-1111-4111-8111-111111111111",
"uniqid": "11111111-1111-4111-8111-111111111111",
"url": "https://example.com/webhook",
"events": [
"order:paid",
"payment:completed"
],
"created_at": 1711962000,
"updated_at": 1711962600
}
}Developer API operation for PATCH /dev/v1/webhooks/.
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhook",
"events": [
"order:paid",
"payment:completed"
]
}
'{
"data": {
"id": "11111111-1111-4111-8111-111111111111",
"uniqid": "11111111-1111-4111-8111-111111111111",
"url": "https://example.com/webhook",
"events": [
"order:paid",
"payment:completed"
],
"created_at": 1711962000,
"updated_at": 1711962600
}
}